<?php
CLASS TELLDUS_LIVE
{

  private $consumer;
  
  public function __construct()
  {
    $this->consumer = new HTTP_OAuth_Consumer(constant('KEY'), constant('SECRET'), $_SESSION['accessToken'], $_SESSION['accessTokenSecret']);  
  } 
  
  public function getDevices()
  {
  	$params = array('supportedMethods' => constant('TELLSTICK_TURNON') | constant('TELLSTICK_TURNOFF'));
  	return json_decode($this->consumer->sendRequest(constant('REQUEST_URI').'/devices/list', $params, 'GET')->getBody());
  }
  
  public function addDevice($idClient, $name, $protocol, $model)
  {
  	$params = array(
      'clientId'=>$idClient, 
      'name'=>$name, 
      'protocol'=>$protocol, 
      'model'=>$model
      );
  	return json_decode($this->consumer->sendRequest(constant('REQUEST_URI').'/device/add', $params, 'GET')->getBody());
  }
  
  public function removeDevice($id)
  {
  	$params = array('id'=>$id);
  	return json_decode($this->consumer->sendRequest(constant('REQUEST_URI').'/device/remove', $params, 'GET')->getBody());
  }
  
  public function turnOnDevice($id)
  {
  	$params = array('id'=>$id);
  	return json_decode($this->consumer->sendRequest(constant('REQUEST_URI').'/device/turnOn', $params, 'GET')->getBody());
  }
  
  public function turnOffDevice($id)
  {
  	$params = array('id'=>$id);
  	return json_decode($this->consumer->sendRequest(constant('REQUEST_URI').'/device/turnOff', $params, 'GET')->getBody());
  }
  
  public function upDevice($id)
  {
  	$params = array('id'=>$id);
  	return json_decode($this->consumer->sendRequest(constant('REQUEST_URI').'/device/up', $params, 'GET')->getBody());
  }
  
  public function downDevice($id)
  {
  	$params = array('id'=>$id);
  	return json_decode($this->consumer->sendRequest(constant('REQUEST_URI').'/device/down', $params, 'GET')->getBody());
  }
  
  public function stopDevice($id)
  {
  	$params = array('id'=>$id);
  	return json_decode($this->consumer->sendRequest(constant('REQUEST_URI').'/device/stop', $params, 'GET')->getBody());
  }
  
  public function setParameterDevice($id, $parameter, $value)
  {
  	$params = array(      
      'id'=>$id,
      'parameter'=>$parameter,
      'value'=>$value
      );
  	return json_decode($this->consumer->sendRequest(constant('REQUEST_URI').'/device/setParameter', $params, 'GET')->getBody());
  }
  
  public function renameDevice($id, $name)
  {
  	$params = array(      
      'id'=>$id,
      'name'=>$name
      );
  	return json_decode($this->consumer->sendRequest(constant('REQUEST_URI').'/device/setName', $params, 'GET')->getBody());
  }

  public function getSensors()
  {
        $params = array();
        return json_decode($this->consumer->sendRequest(constant('REQUEST_URI').'/sensors/list', $params, 'GET')->getBody());

  }

  public function getSensor($id)
  {
        $params = array('id'=>$id);
        return json_decode($this->consumer->sendRequest(constant('REQUEST_URI').'/sensor/info', $params, 'GET')->getBody());

  }

  public function getClients()
  {
  	$params = array();
  	return json_decode($this->consumer->sendRequest(constant('REQUEST_URI').'/clients/list', $params, 'GET')->getBody());
  }

  public function getClient($id)
  {
	  $params = array('id'=>$id);
  	return json_decode($this->consumer->sendRequest(constant('REQUEST_URI').'/client/info', $params, 'GET')->getBody());
  }

}

?>
